<?php

declare(strict_types=1);

namespace Gls\GlsPoland\MessageHandler\Consignment;

use Gls\GlsPoland\Consignment\Builder\ConsignmentBuilderInterface;
use Gls\GlsPoland\Message\CreateConsignmentCommand;

interface ConsignmentBuilderFactoryInterface
{
    public function create(CreateConsignmentCommand $command): ConsignmentBuilderInterface;
}
